summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSebastian Pipping <sping@gentoo.org>2020-12-13 02:15:40 +0100
committerSebastian Pipping <sping@gentoo.org>2020-12-13 02:29:31 +0100
commit4736696494d862b1af1f78e70abb9a5b19ba1b93 (patch)
treeb8885cc6e089883a634c66ac90b235a5891b315d /app-text/nuspell
parentapp-admin/ansible-base: remove doc flag due to upstream bug (diff)
downloadgentoo-4736696494d862b1af1f78e70abb9a5b19ba1b93.tar.gz
gentoo-4736696494d862b1af1f78e70abb9a5b19ba1b93.tar.bz2
gentoo-4736696494d862b1af1f78e70abb9a5b19ba1b93.zip
app-text/nuspell: 4.2.0
Signed-off-by: Sebastian Pipping <sping@gentoo.org> Package-Manager: Portage-3.0.0, Repoman-2.3.23
Diffstat (limited to 'app-text/nuspell')
-rw-r--r--app-text/nuspell/Manifest1
-rw-r--r--app-text/nuspell/nuspell-4.2.0.ebuild51
2 files changed, 52 insertions, 0 deletions
diff --git a/app-text/nuspell/Manifest b/app-text/nuspell/Manifest
index 077b48aee0a..03e7c510d86 100644
--- a/app-text/nuspell/Manifest
+++ b/app-text/nuspell/Manifest
@@ -2,3 +2,4 @@ DIST nuspell-3.1.2.tar.gz 379029 BLAKE2B 80f773ffdcbfbeee0dd13cd325bb4fec5efa5b5
DIST nuspell-4.0.0.tar.gz 379136 BLAKE2B 90aebe8318cd28240dfb7c1b034b2c045ac208c6d25344a3f2fc2f1a38995a1d6f81e70399c644c70255fbbb30f61e340808d1a71dfccab1726f89b742cf7b65 SHA512 2b08e30c4ac91a243c74f21eaf4a8d55d8b1c834e0f293fea76a9f02660f2ee89fe4d4071b1b9ed97b8c1db80b0645c71f8746738d97fc3ae779a65dc1583d3b
DIST nuspell-4.0.1.tar.gz 379342 BLAKE2B be52797ddd737c523a6141fc1c2683690cfcd1aa09e6548d7eed593ab023d2b45d3538f2a9964a7c2b4abc6506c67058cdc2479ec12ae5438ffe9faa00f0680c SHA512 122616fd24c2de35000ba12d680d3617e7fe97881d33febbcb106ce70d3bac356a00d90680a1bc8ee631ed532ace0f4b4f9fce4760a25b0f7fc1d60553e74528
DIST nuspell-4.1.0.tar.gz 380814 BLAKE2B 500da0797e4f0d1939afd8451b734f309b5c58e66532150614dd3463eda95ab421094e6c0485396b7ef1dd4b7fc03cadf10316d9cfdb1390b2769ddcc963d8b3 SHA512 d0c01dd73fefd8b9c800e6419fe916e55a53b8b19f5848d3766cdcb50383fdcd9e9bb49362b5cea4d9d2d7fda21aed055f28cb47b006e2049b2a904355f7f9ed
+DIST nuspell-4.2.0.tar.gz 382635 BLAKE2B cc141e764ce4e649a7a10f213c392973eb98eb21adddc7d2cd46c01f3cc9a6c85432bfb13ce178fba387a01aa1661e7c9b6a4717fca18fb3bfa220732daf53eb SHA512 ae9157e9753868c002ed69a765fb705d29d993f3940e11efbc2699778a8b1abee2eb7daa0ff51187b899d6935a215a24662e5b52ec1ef5c644e90a0245f7583d
diff --git a/app-text/nuspell/nuspell-4.2.0.ebuild b/app-text/nuspell/nuspell-4.2.0.ebuild
new file mode 100644
index 00000000000..fa0c2f91518
--- /dev/null
+++ b/app-text/nuspell/nuspell-4.2.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="Spell checker library and CLI for complex natural languages"
+HOMEPAGE="https://nuspell.github.io/ https://github.com/nuspell/nuspell"
+SRC_URI="https://github.com/nuspell/nuspell/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0/4" # due to libnuspell.so.4
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="dev-libs/icu"
+DEPEND="${RDEPEND}
+ doc? ( app-text/pandoc )
+ test? ( >=dev-cpp/catch-2.3.0:0 )
+ "
+
+DOCS=( CHANGELOG.md )
+
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+ rm -R external/Catch2/ || die
+ if ! use test ; then
+ rm -R external/hunspell/ || die
+ fi
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TESTING=$(usex test)
+ )
+
+ cmake_src_configure
+}
+
+pkg_postinst() {
+ einfo
+ einfo 'Nuspell needs language packs and/or dictionaries to be of use'
+ einfo 'e.g. package app-dicts/myspell-en or one of its siblings.'
+ einfo
+ einfo 'Besides MySpell dictionaries, for other options please'
+ einfo 'see https://nuspell.github.io/#languages-and-users .'
+ einfo
+}